%define	major	0
%define girapi	1.0
%define	libname	%mklibname umockdev %{major}
%define girname	%mklibname umockdev-gir %{girapi}
%define	devname	%mklibname umockdev -d

Name:		umockdev
Version:	0.17.18
Release:	%mkrel 1
Summary:	Mock hardware devices

Group:		Development/Other
License:	LGPLv2+
URL:		https://github.com/martinpitt/umockdev
Source0:	https://github.com/martinpitt/umockdev/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libpcap)
BuildRequires:	vala

%description
With this program and libraries you can easily create mock udev objects.
This is useful for writing tests for software which talks to
hardware devices.

%package -n	%{libname}
Summary:	Libraries for umockdev
Group:		System/Libraries

%description -n	%{libname}
Libraries for umockdev.


%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains the libraries to develop
using %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=false

%meson_build

%install
%meson_install

rm -rf %{buildroot}%{_datadir}/doc/umockdev


%files
%{_bindir}/umockdev-*

%files -n %{libname}
%{_libdir}/libumockdev.so.%{major}{,.*}
%{_libdir}/libumockdev-preload.so.%{major}{,.*}
%{_libdir}/girepository-1.0/UMockdev-%{girapi}.typelib

%files -n %{devname}
%{_libdir}/libumockdev.so
%{_libdir}/libumockdev-preload.so
%{_libdir}/pkgconfig/umockdev-1.0.pc
%{_datadir}/gir-1.0/UMockdev-%{girapi}.gir
%{_includedir}/umockdev-1.0
%{_datadir}/vala/vapi/umockdev-1.0.vapi

%changelog
* Tue Sep 05 2023 tex -  0.17.18-1pclos2023
- new version: 0.17.18
